Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class TrAXFilter

    java.lang.Object
      |
      +--org.xml.sax.helpers.XMLFilterImpl
            |
            +--weblogic.apache.xalan.transformer.TrAXFilter

public class TrAXFilter
extends org.xml.sax.helpers.XMLFilterImpl

Constructor Summary
`TrAXFilter(javax.xml.transform.Templates templates)` Construct an empty XML filter, with no parent.

Method Summary
`void` | `parse(org.xml.sax.InputSource input)` Parse a document.
`void` | `parse(java.lang.String systemId)` Parse a document.
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)` Set the content event handler.
`void` | `setErrorListener(javax.xml.transform.ErrorListener handler)`
`void` | `setParent(org.xml.sax.XMLReader parent)` Set the parent reader.

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrAXFilter

    public TrAXFilter(javax.xml.transform.Templates templates)
               throws javax.xml.transform.TransformerConfigurationException

  Construct an empty XML filter, with no parent.

  This filter will have no parent: you must assign a parent before you start a parse or do any configuration with setFeature or setProperty.

  See Also:
    `XMLReader.setFeature(java.lang.String, boolean)`, `XMLReader.setProperty(java.lang.String, java.lang.Object)`

Method Detail

### setParent

    public void setParent(org.xml.sax.XMLReader parent)

  Set the parent reader.

  This is the XMLReader from which this filter will obtain its events and to which it will pass its configuration requests. The parent may itself be another filter.

  If there is no parent reader set, any attempt to parse or to set or get a feature or property will fail.

  Parameters:
    `parent` - The parent XML reader.
  Throws:
    java.lang.NullPointerException - If the parent is null.
  Overrides:
    setParent in class org.xml.sax.helpers.XMLFilterImpl

### parse

    public void parse(org.xml.sax.InputSource input)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Parse a document.

  Parameters:
    `input` - The input source for the document entity.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    java.io.IOException - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
  Overrides:
    parse in class org.xml.sax.helpers.XMLFilterImpl
  See Also:
    `XMLReader.parse(org.xml.sax.InputSource)`

### parse

    public void parse(java.lang.String systemId)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Parse a document.

  Parameters:
    `systemId` - The system identifier as a fully-qualified URI.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    java.io.IOException - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
  Overrides:
    parse in class org.xml.sax.helpers.XMLFilterImpl
  See Also:
    `XMLReader.parse(java.lang.String)`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Set the content event handler.

  Parameters:
    `resolver` - The new content handler.
  Throws:
    java.lang.NullPointerException - If the handler is null.
  Overrides:
    setContentHandler in class org.xml.sax.helpers.XMLFilterImpl
  See Also:
    `XMLReader.setContentHandler(org.xml.sax.ContentHandler)`

### setErrorListener

    public void setErrorListener(javax.xml.transform.ErrorListener handler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference